Reverse a funding transaction

This request voids or reverses a funding transaction made on a line of credit account.

   Click here to learn more about this request

Funding transactions are used to send funds to a borrower's Payment Profile. This request is used specifically to void a pending funding transaction.

Note the following when reversing funding transactions:

Funding transactions must be in a "Pending" status to be voided. A reversal essentially cancels a transaction that is still being processed. transaction in a "Pending" status has not yet been settled by the payment processor successfully or unsuccessfully.

Database

For information regarding line of credit funding transactions database tables, see the following articles:

{
    "reversalReason": "lineOfCredit.reverse.reason.other",
    "reversalCode": "nacha.returnCode.r20",
    "comment": "Void 123",
    "reverseInMerchant": 1
}
Path Params
int32
required

The ID of the funding transaction.

Body Params
string
enum

The reason for the reversal of the transaction.
> If omitted, this field detauls to lineOfCredit.reverse.reason.other.

Allowed:
string

The NACHA return code, if applicable.
> Formatted as nacha.returnCode.r01

string

An optional text field used to provide additional information about the reversal.
> Limited to 255 characters

int32

Determines whether to also reverse the transaction in Secure Payments.
> If omitted or set to 0, the transaction will not be updated in Secure Payments.
> If set to 1, the transaction will be updated in Secure Payments.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json